$body-color: map-get($text-colors, 'normal') !default;
$body-background: map-get($application, background) !default;
$body-opacity: 1 !important !default;
$body-transition: opacity 0.4s linear !default;

$app-width: 600px !default;
$app-padding: 0 !default;
$app-background: none !default;


:root,
body,
#root,
main {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
}

:root,
:root[style] {

}

body,
body[style] {
  @include set-background($body-background);

  color: $body-color;
  opacity: $body-opacity;
  transition: $body-transition;
}

  #root {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

    #app {
      @include set-background($app-background);

      flex: 1 1 auto;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      width: $app-width;
      max-width: $app-width;
      padding: $app-padding;
      overflow: hidden;

      > .#{$namespace}-loader {
        flex: 1 1 auto;
      }

      @include respond-to('medium') {
        width: 100%;
      }
    }


@import '../partials/header';
@import '../partials/body';
@import '../partials/footer';